Subject: Re: [cuss] "package" vs "purpose" name in draft-ietf-cuss-sip-uui-04

From: <[email-masked]>
Date: Thu, 5 Jan 2012 18:05:57 +0100

Hello,

Please find an additional comment on draft-ietf-cuss-sip-uui-04, I hope it would not too late: 

We would like to raise that it seems to us that it is not clear enough that multiple User-to-User headers set to different package values are allowed in the same message. There is a precision on how many User-to-User headers can be present for a given package ("The rules for how many User-to-User header field of each package may be present in a request or a response are defined for each package be present in a request or a response are defined for each package." in section 4.1), but no precision on the possibility to have in parallel multiple User-to-User headers set to different package values. Would it be possible to give this possibility in the draft in a general way?

Regards,

Celine Serrut-Valette

Orange Labs

De : [email-masked] [mailto:[email-masked]] De la part de [email-masked]
Envoyé : mardi 13 décembre 2011 14:58
À : MARJOU Xavier RD-CORE-LAN; [email-masked]
Objet : Re: [cuss] "package" vs "purpose" name in draft-ietf-cuss-sip-uui-04

Hi all,

for sure a package is used for a certain purpose. So I agree with Xavier, for the solution itself it doesn't matter if the parameter name is 'package' or 'purpose', however the name 'purpose' would provide a certain degree of backward compatibility.

Regards, Martin

	 

________________________________

	Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Xavier Marjou
	Gesendet: Freitag, 9. Dezember 2011 15:50
	An: [email-masked]
	Betreff: [cuss] "package" vs "purpose" name in draft-ietf-cuss-sip-uui-04

	Hi,

	Regarding draft-ietf-cuss-sip-uui-04, one modification I would like is to rename the "package" parameter name into "purpose" which existed until draft-ietf-cuss-sip-uui-00. The goal would to allow compatibility with already deployed implementations that are based on the draft-johnston individual draft (draft referenced since a long time in 3GPP documents). There would be no change regarding the semantics: the goal of the defined parameter is to indicate the purpose of the application usage of UUI data and this can be fulfilled by a parameter called "purpose", in order to indicate how and why UUI data is used.

	Cheers,

	Xavier